Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605836 - RFE: show ksm stats in virt-top
RFE: show ksm stats in virt-top
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: virt-top (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 18:04 EDT by Roland McGrath
Modified: 2018-07-18 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2010-06-18 18:04:10 EDT
Description of problem:

It would be nice for the virt-top display to show some the statistics about ksm (from /sys/kernel/mm/ksm/* files) in some pretty way.  i.e., memory shared, memory saved by sharing (sharing-shared), etc.

Version-Release number of selected component (if applicable):
virt-top-1.0.4-3.fc13.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard W.M. Jones 2010-06-18 18:08:28 EDT
Are these available through libvirt?  If not we'd have to implement
that.
Comment 2 Bug Zapper 2011-06-02 06:19:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Richard W.M. Jones 2011-06-02 06:48:45 EDT
Bumping to Rawhide.  This is still a useful change
to virt-top, once we get round to implementing the
libvirt layers.
Comment 4 Cole Robinson 2012-06-06 12:51:39 EDT
Since this is a non-fedora specific RFE, moving to the upstream tracker.

Note You need to log in before you can comment on or make changes to this bug.